Package net.md_5.bungee.api

# Enum ServerConnectRequest.Result

java.lang.Object
java.lang.Enum<ServerConnectRequest.Result>
net.md_5.bungee.api.ServerConnectRequest.Result

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerConnectRequest.Result>`

Enclosing class:
  ServerConnectRequest

public static enum ServerConnectRequest.Result extends Enum<ServerConnectRequest.Result>
The result from this callback after request has been executed by proxy.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALREADY_CONNECTED`
  Already connected to target server.
  `ALREADY_CONNECTING`
  Already connecting to target server.
  `EVENT_CANCEL`
  ServerConnectEvent to the new server was canceled.
  `FAIL`
  Connection failed, error can be accessed from callback method handle.
  `SUCCESS`
  Successfully connected to server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServerConnectRequest.Result`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ServerConnectRequest.Result[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EVENT_CANCEL

    public static final ServerConnectRequest.Result EVENT_CANCEL
    ServerConnectEvent to the new server was canceled.

  - ### ALREADY_CONNECTED

    public static final ServerConnectRequest.Result ALREADY_CONNECTED
    Already connected to target server.

  - ### ALREADY_CONNECTING

    public static final ServerConnectRequest.Result ALREADY_CONNECTING
    Already connecting to target server.

  - ### SUCCESS

    public static final ServerConnectRequest.Result SUCCESS
    Successfully connected to server.

  - ### FAIL

    public static final ServerConnectRequest.Result FAIL
    Connection failed, error can be accessed from callback method handle.

- ## Method Details

  - ### values

    public static ServerConnectRequest.Result[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ServerConnectRequest.Result valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null